import type { ClientTarget } from '@lwc/lwc-dev-server-types';
import type { TransformOptions } from '@lwc/compiler';
export declare const clientLookup: Map<string, ClientConnection>;
/**
 * Class representing a client that has connected to the dev server
 */
export default class ClientConnection {
    url: string;
    target: ClientTarget;
    activePaths: Map<string, TransformOptions>;
    constructor(url: string, target: ClientTarget);
    static getKey(url: string, target: ClientTarget): string;
    addActivePaths(paths: {
        modulePath: string;
        compileOptions: TransformOptions;
    }[]): void;
    removeStalePaths(paths: string[]): void;
    getCompileOptions(path: string): TransformOptions | undefined;
}
