import path from 'node:path';
import { getChildDirPaths } from '../../util/fileUtil.js';
import { BaseWorkspaceScanner } from './scanner.js';
/**
 * This scanner will accept paths and builds a list of module ids to component paths.
 */
export default class InternalWorkspaceScanner extends BaseWorkspaceScanner {
    findModuleDirs() {
        const lwcDirs = [];
        this.modulesPaths.forEach((uimodule) => {
            const modulesDir = path.join(uimodule, 'modules');
            const namespaces = getChildDirPaths(modulesDir);
            namespaces.forEach((namespace) => {
                lwcDirs.push(...getChildDirPaths(namespace));
            });
        });
        return lwcDirs;
    }
    getNamespace(moduleDir) {
        return path.basename(path.dirname(moduleDir));
    }
}
//# sourceMappingURL=internal.js.map